Index: slime.el
===================================================================
RCS file: /project/slime/cvsroot/slime/slime.el,v
retrieving revision 1.616
diff -u -r1.616 slime.el
--- slime.el	2 Apr 2006 18:26:47 -0000	1.616
+++ slime.el	9 Apr 2006 21:52:54 -0000
@@ -1266,8 +1266,14 @@
            filename))
 
 (defun slime-find-filename-translators (hostname)
-  (or (assoc-default hostname slime-filename-translations #'string-match)
-      (error "No filename-translations for hostname: %s" hostname)))
+  (let ((match (find-if (lambda (hn-regexp) 
+                          (string-match hn-regexp
+                                        hostname))
+                        slime-filename-translations
+                        :key 'car)))
+          (unless match
+            (error "No filename-translations for hostname: %s" hostname))
+          (cdr match)))
 
 (defun slime-make-tramp-file-name (username remote-host lisp-filename)
   "Old (with multi-hops) tramp compatability function"
